Bulk look up possible alternate accounts
curl --request POST \
--url https://api.docksys.xyz/v2/alts/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"robloxIds": [
"156319135",
"351892163"
],
"guildId": "987654321098765432",
"resolved": false
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
robloxIds: ['156319135', '351892163'],
guildId: '987654321098765432',
resolved: false
})
};
fetch('https://api.docksys.xyz/v2/alts/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.docksys.xyz/v2/alts/bulk"
payload = {
"robloxIds": ["156319135", "351892163"],
"guildId": "987654321098765432",
"resolved": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": 200,
"data": {
"results": [
{
"input": {},
"found": true,
"data": {},
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"status": 123
}
}
],
"count": 123,
"foundCount": 123,
"notFoundCount": 123,
"errorCount": 123,
"resolved": true
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 401,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key.",
"details": null
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": null,
"remaining": null,
"resetAt": null,
"retryAfter": null,
"scope": null
}
},
"timestamp": "2026-05-07T16:30:00.000Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}API Reference
Bulk look up possible alternate accounts
Runs Premium alt detection for up to 10 Roblox IDs and returns ordered per-item results. Detection outputs are probabilistic review signals.
POST
https://api.docksys.xyz
/
v2
/
alts
/
bulk
Bulk look up possible alternate accounts
curl --request POST \
--url https://api.docksys.xyz/v2/alts/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"robloxIds": [
"156319135",
"351892163"
],
"guildId": "987654321098765432",
"resolved": false
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
robloxIds: ['156319135', '351892163'],
guildId: '987654321098765432',
resolved: false
})
};
fetch('https://api.docksys.xyz/v2/alts/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.docksys.xyz/v2/alts/bulk"
payload = {
"robloxIds": ["156319135", "351892163"],
"guildId": "987654321098765432",
"resolved": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": 200,
"data": {
"results": [
{
"input": {},
"found": true,
"data": {},
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"status": 123
}
}
],
"count": 123,
"foundCount": 123,
"notFoundCount": 123,
"errorCount": 123,
"resolved": true
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 401,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key.",
"details": null
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": null,
"remaining": null,
"resetAt": null,
"retryAfter": null,
"scope": null
}
},
"timestamp": "2026-05-07T16:30:00.000Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Dock API key. Send Authorization: Bearer <api key>.
Body
application/json
⌘I